Error on ionic installation


#1

hi everybody
am new in ionic ,while installation on win 10 , i got these warns:

C:\WINDOWS\system32>npm install -g ionic
C:\Users\Ghavam\AppData\Roaming\npm\ionic -> C:\Users\Ghavam\AppData\Roaming\npm\node_modules\ionic\bin\ionic
npm WARN **rollback Rolling back node-pre-gyp@0.10.0 failed** (this is probably harmless): EPERM: operation not permitted, lstat 'C:\Users\Ghavam\AppData\Roaming\npm\node_modules\ionic\node_modules\fsevents\node_modules'
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.4 (node_modules\ionic\node_modules\fsevents):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.2.4: wanted {"os":"darwin","arch":"any"} (current: {"os":"win32","arch":"x64"})

+ ionic@3.20.0
updated 2 packages in 42.737s

how to fix it guys ?